#include <jni.h>
#include <stdio.h>
#include <wiringPi.h>
#include <wiringPiSPI.h>

#include "adc.h"

JNIEXPORT void JNICALL Java_m3r3_driver_ADC_init (JNIEnv *env, jclass cla){
	wiringPiSPISetup (0, 500000);
}

JNIEXPORT jint JNICALL Java_m3r3_driver_ADC_read (JNIEnv *env, jclass cla){
	unsigned char spiData [2] ;
	unsigned char chanBits = 0b10000000 ;

	spiData [0] = chanBits ;
	spiData [1] = 0 ;

	wiringPiSPIDataRW (0, spiData, 2) ;

	return (jint)(((spiData [0] << 7) | (spiData [1] >> 1)) & 0x3FF) ;
}