package m3r3;

import m3r3.driver.Updater;

/**
 * 
 * @author the-rene, the-max and the-valle
 * Feel free to improve or rewrite this software and post it at our instructable
 * it was written in hurry just to work for our project.
 * The spoken language in the soundfiles is german. Feel free to create your own riddles
 * and to record them. 
 *
 */

public class M3R3 {

	private static Riddle[] riddlearray;

	/**
	 * WARINING! The following line  and the first line in init()
	 * has to be uncommented when using the hardware in the radio, 
	 * not the emulation on the console.
	 **/
	// public static Thread updater = new Thread( new Updater() );
	/* init() initialiezes the quiz by closing the secret box and creating an array with the riddles*/
	private static void init() {
		// updater.start();
		Radio.closeBox();
		int anzahlRiddle = 6;
		riddlearray = new Riddle[anzahlRiddle];
		/*
		 * One Riddle objet has the arguments
		 * -name: For the name of the riddle
		 * -frequency: the frequency on which the riddle should be heard
		 * -quizAudio: the path of the audio file for the quiz
		 * -loopAudio: the path of the audio file looping in the background on
		 * 	the choosen frequency and near it 
		 * 		
		  */
		riddlearray[0] = new Riddle("Ueberpruefe", 97.8, "sounds/1.wav", "sounds/b1.wav");
		riddlearray[1] = new Riddle("Rechne", 107.1, "sounds/2.wav", "sounds/b2.wav");
		riddlearray[2] = new Riddle("Zaehle", 101.5, "sounds/3.wav", "sounds/b3.wav");
		riddlearray[3] = new Riddle("Suche", 92.3, "sounds/4.wav", "sounds/b4.wav");
		riddlearray[4] = new Riddle("Hinweise", 103.4, "sounds/6.wav", "sounds/b2.wav");
	}

	public static void main(String[] args) {

		init();
		Quiz quiz = new Quiz(riddlearray);
		quiz.searchRiddle(riddlearray);

	}

}