package m3r3;
/* 
 * This Radio.java should be used, when the raspberry and the ATMega with all the components
 * is NOT running! If not so, use the other one.
 * This is to emulate the quiz with the console 
 * The commands for the communication are commented here, but you really should use the other file!
 */


public class Radio{

	public  static double getFrequency(){

		
		double potiVal =  Double.parseDouble(helpers.read());
		
		/*FM Range is from 87.5 - 108.0*/
		if (potiVal < 87.5) potiVal = 87.5;
		return potiVal;
		//return ADC.getInstance().getFader().getFrequence(Spectrum.FM);
	}
	
	public static void setLed1(boolean red, boolean green, boolean blue){
		//ButtonModul.getInstance().getLED(LEDType.LED_LEFT).switchAll(red, green, blue);
		System.out.println("LED1:\nred:"+red+"\ngreen:"+green+"\nblue:"+blue);
	}
	public static void setLed2(boolean red, boolean green, boolean blue){
		//ButtonModul.getInstance().getLED(LEDType.LED_MIDDLE).switchAll(red, green, blue);
		System.out.println("LED2:\nred:"+red+"\ngreen:"+green+"\nblue:"+blue);
		
	}
	public static void setLed3(boolean red, boolean green, boolean blue){
		//ButtonModul.getInstance().getLED(LEDType.LED_RIGHT).switchAll(red, green, blue);
		System.out.println("LED3:\nred:"+red+"\ngreen:"+green+"\nblue:"+blue);
		
	}
	public static void setLed4(boolean red, boolean green, boolean blue){
		//ButtonModul.getInstance().getLED(LEDType.LED_DISPLAY).switchAll(red, green, blue);
		System.out.println("LED1:\nred:"+red+"\ngreen:"+green+"\nblue:"+blue);
	}
	
	public static void openBox(){
		//ButtonModul.getInstance().getServo().open();
		System.out.println("Box open!");
	}
	public static void closeBox(){
		//ButtonModul.getInstance().getServo().close();
		System.out.println("Box closed!");
	}	
	
	
	public static boolean getButton1(){
		System.out.println("Press Button1 (y) or don't press it (n)");
		String res = helpers.read();
		if (res.equals("y")) return true;
		return false;
		
		
		//return ButtonModul.getInstance().getButton(ButtonType.BUTTON_LEFT).getState();
	
	}
	public static boolean getButton2(){
		
		System.out.println("Press Button2 (y) or don't press it (n)");
		String res = helpers.read();
		if (res.equals("y")) return true;
		return false;
		//return ButtonModul.getInstance().getButton(ButtonType.BUTTON_MIDDLE).getState();
	}
	public static boolean getButton3(){
		System.out.println("Press Button3 (y) or don't press it (n)");
		String res = helpers.read();
		if (res.equals("y")) return true;
		return false;
		//return ButtonModul.getInstance().getButton(ButtonType.BUTTON_RIGHT).getState();		
	}

	

	/* Wait for a button press and return which one was pressed*/
	public static byte waitForButton(){
		while(true){
			if(getButton1())return 1;
			if(getButton2())return 2;
			if(getButton3())return 3;
					
		}
	}
	/* like the method above, but additionaly check if the player is still in the quizRange*/
	public static byte waitForButtonAndRangeCheck(double frequenz){
		System.out.println("Press a button (1/2/3) or outOfRange(4)");
		return Byte.parseByte(helpers.read());
		
	}



	public static boolean isInRange(double frequenz) {
		if(Math.abs(getFrequency()-frequenz) < 0.1) return true;
		return true;
	}
	

}
