package m3r3.driver.led;

public class LED{
	
	private LEDType type;
	private boolean red, green, blue;
	
	public LED(LEDType type, boolean red, boolean green, boolean blue){
		this.type = type;
		this.red = red;
		this.green = green;
		this.blue = blue;
	}
	public LED(LEDType type){
		this(type, false, false, false);
	}
	public void switchAll(boolean red, boolean green, boolean blue){
		this.red = red;
		this.green = green;
		this.blue = blue;
	}
	public void switchRed(boolean value){
		this.red = value;
	}
	public void switchGreen(boolean value){
		this.green = value;
	}
	public void switchBlue(boolean value){
		this.blue = value;
	}
	public boolean getRed(){
		return this.red;
	}
	public boolean getGreen(){
		return this.green;
	}
	public boolean getBlue(){
		return this.blue;
	}
	public LEDType getType(){
		return this.type;
	}
}