package m3r3.driver.servo;

public class Servo{
	private int value;
	public static final int MIN_POSITION	= 0x819F;
	public static final int MAX_POSITION	= 0x8920;
	public static final int OPEN_POSITION	= 0x819F;
	public static final int CLOSE_POSITION	= 0x87A0;
	
	public Servo(){
		this.value = 0;
	}
	
	public void setPosition(int value){
		this.value = value;
	}
	
	public int getPosition(){
		return this.value;
	}
	
	public void open(){
		setPosition(OPEN_POSITION);
	}
	
	public void close(){
		setPosition(CLOSE_POSITION);
	}
}