#include <jni.h>
#include <stdio.h>
#include <stdint.h>
#include <stdlib.h>

#include <wiringPi.h>
#include <wiringPiSPI.h>

#include "button_modul.h"

#define	RRR_SPEED	250000

JNIEXPORT void JNICALL Java_m3r3_driver_ButtonModul_init(JNIEnv *env, jclass cl){
	wiringPiSPISetup (1, RRR_SPEED);
}


uint8_t transmit(uint16_t value){  
  uint8_t spiData[3];

  spiData[0] = (uint8_t) (value >> 8);
  spiData[1] = (uint8_t) value;

  wiringPiSPIDataRW (1, spiData, 2);

  return spiData[1];
}

JNIEXPORT jint JNICALL Java_m3r3_driver_ButtonModul_transmit(JNIEnv *env, jclass cl, jint val){
  return (jint) transmit((uint16_t) val);
}
