package m3r3;
import java.io.*;

import javax.sound.sampled.Clip;


/* some methods to simplify the code */
public class helpers {
	/*Wait (at least) /time/ seconds */
	public 	static void delay_s(int time){
		try {
		    Thread.sleep((int)time*1000);               
		} catch(InterruptedException ex) {
		    Thread.currentThread().interrupt();
		}
	}
	//*Wait (at least) /time/ milliseconds */
	public 	static void delay_ms(int time){
		try {
		    Thread.sleep((int) time);               
		} catch(InterruptedException ex) {
		    Thread.currentThread().interrupt();
		}
	}
	/* returns x XOR y */
	public static boolean xor(boolean x, boolean y) {
	    return ( ( x || y ) && ! ( x && y ) );
	}
	
	// out of IDEs like eclipse a  'input = System.console().readLine();' is enough here.
	public static String read() {
		
		   BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
	        System.out.print("Input: ");
	        String input="";
			try {
				input = br.readLine();
			} catch (IOException e) {
				
				e.printStackTrace();
				System.out.println("\n Input Exception!!");
			}

	        
	        return input;
		
		
	}
	/* test the hardware in the radio */
	public static void testRadio(){
		//Button Test
		System.out.println("***ButtonTest***");
		System.out.println("press Button1!");
		while(!Radio.getButton1());
		System.out.println("Button1 OK!");
		
		System.out.println("press Button2!");
		while(!Radio.getButton2());
		System.out.println("Button2 OK!");
		
		System.out.println("press Button3!");
		while(!Radio.getButton3());
		System.out.println("Button3 OK!");
		
		//LED Test
		System.out.println("***LEDTest***");
		Radio.setLed1(true, false, false);
		Radio.setLed2(true, false, false);
		Radio.setLed3(true, false, false);
		Radio.setLed4(true, false, false);
		System.out.println("All lights red? press Button1!");
		while(!Radio.getButton1());
		
		Radio.setLed1(false, true, false);
		Radio.setLed2(false, true, false);
		Radio.setLed3(false, true, false);
		Radio.setLed4(false, true, false);
		System.out.println("All lights green? press Button2!");
		while(!Radio.getButton2());
		
		Radio.setLed1(false, false, true);
		Radio.setLed2(false, false, true);
		Radio.setLed3(false, false, true);
		Radio.setLed4(false, false, true);
		System.out.println("All lights blue? press Button3!");
		while(!Radio.getButton3());
		
		//Poti Test
		System.out.println("***PotiTest***");
		System.out.println("turn poti on the minimum");
		while(Radio.getFrequency() > 87.50);
		System.out.println("turn poti to the maximum");
		while(Radio.getFrequency() < 108.00);
		System.out.println("Poti OK!");
		
		//Sound Test
		System.out.println("***SoundTest***");
		Sound noise = new Sound("sounds/whitenoise.wav", Clip.LOOP_CONTINUOUSLY,1);
		System.out.println("Hear something? press button1!");
		while(!Radio.getButton1());
		noise.stop();
		System.out.println("All tests passed!");
		
	}
	
}
